<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Login extends CI_Controller{
    
    public function __construct()
    {    	
	   	parent::__construct();

	   	$this->load->model('statusmodel');
	   	$this->load->model('settingsmodel');
	}

    function loginAdmin()
    {
    	if($this->statusmodel->loggedAdmin())
    	{
           	redirect('admin/principal');
            exit();
    	}

    	$this->load->view('admin/templates/head');
    	
    	$data['error'] = false;
    	if(isset($_POST['enviar']))
    	{
	    
	        $this->form_validation->set_rules('username', 'Usuario', 'required|trim');
	        $this->form_validation->set_rules('password', 'Contrase&ntilde;a', 'required|trim');
	        $this->form_validation->set_message('required', 'Por favor ingrese el campo "%s"');

	        if($this->form_validation->run())
	        {
	        
	        	$username 		= $this->input->post('username', true);
	        	$password 		= $this->input->post('password', true);
				$usuario 		= $this->statusmodel->getAdmin($username, $password);

	        	if($usuario != false)
	        	{
					$data_usuario = array(

						'id_admin'			=> $usuario->id,
						'name_admin'		=> $usuario->name,
						'lastname_admin'	=> $usuario->lastname,
						'mail_admin'		=> $usuario->mail,
						'level_admin'		=> $usuario->level,
						'logged_admin'		=> true
					);
					$this->session->set_userdata($data_usuario);

					//creo cookies con 1 mes de validez
					if($this->input->post('recordar') == 'on')
					{
						$cookie_user = array(
						    'name'   => 'mail_admin',
						    'value'  =>  $usuario->mail,
						    'expire' => '2592000'
						);
						$this->input->set_cookie($cookie_user);

						$cookie_pass = array(
						    'name'   => 'pass_admin',
						    'value'  =>  md5($usuario->pass),
						    'expire' => '2592000'
						);
						$this->input->set_cookie($cookie_pass);

					}
					redirect( base_url('admin/principal') );

	        	}
	        	else
	        	{
	        		$data['error'] = true;
	  			}

	        }
	    }
	    
	    $this->load->view('admin/login', $data);

	}

	public function logout_admin()
	{
		$this->session->set_userdata('logueado_admin', false);
		$this->session->sess_destroy();
		$this->load->helper('cookie');
		delete_cookie('usuario');
		delete_cookie('pass');
		redirect();
	}

}