<?php 

class Migracion extends CI_Controller
{

	public function __construct()
	{
		parent::__construct();

		$this->load->model('categoriesmodel');
		$this->load->model('productsmodel');
		$this->load->model('imgmodel');
		$this->load->model('cartmodel');

		show_404();
		die();
	}

	public function index()
	{
		die();

		$this->categorias();
		$this->productos();
		$this->imagenes();
	}

	public function descripciones()
	{
		echo $this->load->view('site/templates/head', false, true);
		$sql = "SELECT * FROM productos";

		$res = $this->db->query($sql);

		foreach($res->result() as $key => $value)
		{	
			$desc = $value->producto_descripcion;
			$desc2 = $value->producto_descripcion;

			//$desc = utf8_decode($desc);

			$breaks = array("<br />", "<br>", "<br/>", '</li>', '</h1>', '</div>');
			$desc   = str_replace($breaks, "\r\n", $desc); 

			
			$desc = str_replace('&nbsp;', ' ', $desc);
			$desc = strip_tags($desc);
			$desc = html_entity_decode($desc);
			$desc = htmlspecialchars($desc);

			

			
			
			// if( !$desc )
			// {
			// 	$desc = $value->producto_descripcion;

			// 	$desc = strip_tags($desc);



			// 	$desc = str_replace('&nbsp;', ' ', $desc);



			
			// }

			//echo '<p>Entro</p>';
			//echo '<p>' . $desc . '</p><br>';
			//echo '<p>' . $desc2 . '</p><br>';


			$data = array(

				'description'	=> $desc,

			);

			$this->db->where('id_old', $value->producto_id );
			$this->db->update('products', $data);

		}



		$sql = "SELECT * FROM products";

		$res = $this->db->query($sql);

		foreach ($res->result() as $key => $value)
		{
			$data = array(

				'description'		=> utf8_decode( trim($value->description) )

			);

			$this->db->where('id', $value->id );
			//$this->db->update('products', $data);

		}

		

	}

	public function productos()
	{
		die();

		$sql = "DELETE FROM products";

		$res = $this->db->query($sql);

		$sql = "DELETE FROM cart";

		$res = $this->db->query($sql);


		$sql = "SELECT * FROM productos_old";

		$res = $this->db->query($sql);

		if( $res->num_rows() > 0 )
		{
			$resultado = $res->result();

			foreach($resultado as $key => $producto_old)
			{
				$name = ucfirst( utf8_decode( html_entity_decode( strip_tags( strtolower( $producto_old->producto_titulo ) ) ) ) );
				$description = ucfirst( utf8_decode( html_entity_decode( strip_tags( strtolower($producto_old->producto_descripcion) ) ) ) );

				$producto = array(

					'id'			=> null,
					'name'			=> $name,
					'description'	=> $description,
					'code'			=> $producto_old->producto_ref,
					'slug'			=> url_title($name, '-', true),
					'active'		=> 1,
					'id_old'		=> $producto_old->producto_id,
					'producto_img'	=> $producto_old->producto_imagen,
				);

				if( $producto_old->producto_categoria2_id != 0 )
				{
					$id = $producto_old->producto_categoria2_id;

					//Busco en la tabla categoria2_old
					$sql = "SELECT * FROM categoria2_old
							WHERE categoria2_old.categoria2_id = $id";

					$res = $this->db->query($sql);

					if($res->num_rows() == 1)
					{
						$row = $res->row();

						$nombre = $row->categoria2_nombre;

						//Ahora con el nombre busco en la tablaa categories
						$sql = "SELECT * FROM categories
								WHERE categories.name = '$nombre'";

						$res = $this->db->query($sql);

						if($res->num_rows() == 1)
						{
							$row = $res->row();

							$id_categoria = $row->id;
						}

						$producto['category'] = $id_categoria;

					}

				}
				else
				{
					$producto['category'] = $producto_old->producto_categoria1_id;
				}

				if( $this->productsmodel->add($producto) )
				{
					$last = $this->cartmodel->last_product();

					$precio 	= (int) $producto_old->producto_precio_pesos == 0 ? $producto_old->producto_precio_dolares : $producto_old->producto_precio_pesos;
					$currency 	= (int) $producto_old->producto_precio_pesos == 0 ? 'DOL' : 'PES';

					$cart = array(

						'product'		=> $last,
						'price'			=> $precio,
						'discount'		=> 0,
						'stock'			=> $producto_old->producto_stok == 'si' ? 1 : 0,
						'currency'		=> $currency,
						'active'		=> 1,

					);

					$this->cartmodel->create($cart);
				}

			}

		}
		else
		{
			die('No se han encontrado productos');
		}
	}

	public function categorias()
	{
		die();

		$this->categoriesmodel->delete_all();

		$sql = "SELECT * FROM categoria1_old";

		$res = $this->db->query($sql);

		if( $res->num_rows() > 0 )
		{

			$resultado = $res->result();

			foreach( $resultado as $key => $categoria1_old )
			{
				$categoria = array(

					'id'				=> $categoria1_old->categoria1_id,
					'parent'			=> 0,
					'name'				=> html_entity_decode( $categoria1_old->categoria1_nombre ),
					'description'		=> '',
					'slug'				=> url_title( html_entity_decode( $categoria1_old->categoria1_nombre ), '-', true),
					'order'				=> 0,
					'active'			=> 1

				);

				$this->categoriesmodel->add($categoria);

			}


			$sql_2 = "SELECT * FROM categoria2_old";

			$res_2 = $this->db->query($sql_2);

			if( $res_2->num_rows() > 0 )
			{

				$resultado_2 = $res_2->result();

				foreach( $resultado_2 as $key => $categoria2_old )
				{
					$categoria = array(

						'parent'			=> $categoria2_old->categoria2_categoria1_id,
						'name'				=> html_entity_decode( $categoria2_old->categoria2_nombre ),
						'description'		=> '',
						'slug'				=> url_title( html_entity_decode( $categoria2_old->categoria2_nombre ), '-', true),
						'order'				=> 0,
						'active'			=> 1

					);

					$this->categoriesmodel->add($categoria);

				}
			}

		}
		else
		{
			die('No hay categorias');
		}

	}

	public function imagenes()
	{
		die();

		$sql = "DELETE FROM img";

		$res = $this->db->query($sql);

		$sql = "SELECT * FROM products";

		$res = $this->db->query($sql);

		if( $res->num_rows() > 0 )
		{	
			$productos = $res->result();

			foreach($productos as $key => $producto)
			{
				if( !file_exists('./pics/' . $producto->id) )
				{
					mkdir('./pics/' . $producto->id, 0777);	
				}
				else
				{
					$this->functions->deleteDir('./pics/' . $producto->id);
				}

				$i = 0;

				if( file_exists('./Old/content/productos/' . $producto->producto_img) )
				{

					if(copy('./Old/content/productos/' . $producto->producto_img, './pics/' . $producto->id . '/'.$i.'.jpg') && 
					   copy('./Old/content/productos/' . $producto->producto_img, './pics/' . $producto->id . '/'.$i.'_thumb.jpg')
					)
					{
						$img = array(

							'number'		=> $i,
							'original'		=> '',
							'product'		=> $producto->id,
							'text'			=> '',
							'order'			=> $i,
							'extension'		=> 'jpg',
							'active'		=> 1 

						);

						$this->imgmodel->add($img);

						$i++;
						
					}

					
				}

				$sql_imagenes = "SELECT * FROM imagenes_old
								 WHERE imagenes_old.imagen_producto_id = $producto->id_old";
				
				$res = $this->db->query($sql_imagenes);

				$cantidad_imagenes = $res->num_rows();
				$imagenes = $res->result();

				if( $cantidad_imagenes )
				{

					foreach ($imagenes as $key => $value)
					{

						if( file_exists('./Old/content/productos/' . $value->imagen) )
						{		

							if(copy('./Old/content/productos/' . $value->imagen, './pics/' . $producto->id . '/'.$i.'.jpg') && 
							   copy('./Old/content/productos/' . $value->imagen, './pics/' . $producto->id . '/'.$i.'_thumb.jpg')
							)
							{
								$img = array(

									'number'		=> $i,
									'original'		=> '',
									'product'		=> $producto->id,
									'text'			=> '',
									'order'			=> $i,
									'extension'		=> 'jpg',
									'active'		=> 1 

								);

								$this->imgmodel->add($img);
							}

							$i++;
						}

						
						
					}


				}


			}
		}
		else
		{
			die('No hay productos');
		}
	}


}
