<?php if( ! defined('BASEPATH')) exit('No direct script access allowed');

Class Templates{

	private $CI;

	public function __construct()
	{
		$this->CI =& get_instance();
		$this->CI->load->model('categoriesmodel');
		$this->CI->load->model('settingsmodel');

	}

	public function head($data = array())
	{
		$this->CI->load->view('site/templates/head', $data);
	}

	public function header($data = array())
	{
		$data['categorias'] 		= $this->CI->categoriesmodel->get(true);
		$data['cart'] 				= false;
		$data['user_data']			= $this->CI->functions->checkUserData();

		if( $this->CI->cart->total_items() > 0 )
		{
			$cart = array();
			
			foreach ($this->CI->cart->contents() as $key => $items)
			{
				$cart[$key] = $this->CI->productsmodel->single($items['id']);
				
				if( $cart[$key] )
				{
					$cart[$key]->items = $items;
				}
				else
                {
                    unset($cart[$key]);
                }
				
			}

			$data['cart'] = $cart;
		}
		

		$this->CI->load->view('site/templates/header', $data);
	}

	public function header_2($data = array())
	{
		$data['categorias'] 		= $this->CI->categoriesmodel->get(true);
		$data['cart'] 				= false;
		$data['user_data']			= $this->CI->functions->checkUserData();

		if( $this->CI->cart->total_items() > 0 )
		{
			$cart = array();
			
			foreach ($this->CI->cart->contents() as $key => $items)
			{
				$cart[$key] = $this->CI->productsmodel->single($items['id']);
				
				if( $cart[$key] )
				{
					$cart[$key]->items = $items;
				}
				else
                {
                    unset($cart[$key]);
                }
				
			}

			$data['cart'] = $cart;
		}
		

		$this->CI->load->view('site/templates/header_2', $data);
	}

	public function sidebar($categoriaActual = false)
	{

		$data = array(

			'categorias'			=> $this->CI->categoriesmodel->get(true),
			'destacados'			=> $this->CI->productsmodel->important(16),
			'ofertas'				=> $this->CI->productsmodel->offers(16),
			'actual'				=> $categoriaActual,
		);

		$this->CI->load->view('site/templates/sidebar', $data);
	}

	public function footer($data = array())
	{

		$this->CI->load->view('site/templates/footer');

	}
}








