<!-- <div class="row">

    <div class="col-xs-12">

        <h3>Noticias</h3>

        <ol class="breadcrumb">
            <li><a href="">Inicio</a></li>
            <li class="active"><a href="noticias/listar">Noticias</a></li>
            <li class="active">Nueva noticia</li>
        </ol>

    </div>

</div>

<hr> -->



<?php if( ! $added) : ?>

<div class="col-xs-8" id="content">

    <form action="" method="post" enctype="multipart/form-data" role="form" id="tips">

        <div class="form-group">
            <?php echo validation_errors('<p class="bg-danger">- ', '</p>'); ?>
            <?php if(isset($error['error'])) echo $error['error'] ?>
        </div>

        <div class="form-group">
            <label for="title">Titulo :</label>
            <input type="text" required class="form-control" name="title" id="title" value="<?php echo set_value('title');?>" />
        </div>

        <?php if($categories) : ?>

        <div class="form-group">
            
            <label for="category">Categoria : </label>
            <select name="category" class="form-control" required>

                <option value="">Seleccionar</option>

                <?php foreach($categories as $k => $category) : ?>

                <option value="<?php echo $category->id ?>" ><?php echo $category->title ?></option>

                <?php endforeach ?>

            </select>

        </div>

        <?php endif ?>

        <div class="form-group">
            <label for="text" class="editor">Texto del articulo :</label>
            <textarea name="text" rows="10" class="form-control" id="text" class="descripcion"><?php echo set_value('text') ?></textarea>
        </div>

        <div class="form-group">
            <label for="video">Video (YouTube) :</label>
            <input type="text" class="form-control" name="video" id="video" value="<?php echo set_value('video');?>" />
        </div>

        <div class="row">
            
            <div class="col-xs-12 thumb-slider">
                <div class="form-group">

                    <span>Imagen : (Maximo de 1 MB - Solo se acepta la extension .jpg)</span>
                    <input type="file" name="userfile" id="files" accept="image/jpeg" class="form-control"/>
                    <output id="list"></output>
                
                </div>
            </div>

        </div>

        <div class="form-group">

            <input type="submit" value="Publicar Noticia" name="enviar" class="btn btn-success" />
            <a href="noticias/listar" class="btn btn-xs btn-danger" >Cancelar</a>

        </div>
        

    </form>
</div>
        
<?php else : ?>

<div class="col-xs-8">
    <h3>La noticia fue ingresada con éxito</h3>
</div>
<?php endif ?>

