<section>

        <div class="container">
            <div class="row">

            <h4><span class="glyphicon glyphicon-shopping-cart"></span> Compras Realizadas</h4>
            <hr>

            <?php if( $compras != false ) : ?>

            <?php foreach($compras as $key => $compra) : ?>

                <div class="row compra">

                    <div class="col-xs-12">

                        <p><?php echo $this->functions->getDateString($compra->date) ?></p>

                        <table class="table">

                            <thead>

                                <tr>

                                    <th>Producto</th>
                                    <th>Cantidad</th>
                                    <th class="text-right">Subtotal</th>

                                </tr>

                            </thead>

                            <tbody>

                                <?php if( $compra->products ) : ?>

                                    <?php foreach( $compra->products as $key => $product ) : ?>

                                        <tr>

                                            <td>
                                                <a href="<?php echo $product->original->permalink ?>">
                                                <?php echo $product->original->name ?>
                                                </a>

                                                <?php if($product->armado) : ?>
                                                <span>+ $<?php echo $product->armado * $product->qty ?> de armado</span>
                                                <?php endif ?>

                                            </td>
                                            <td><?php echo $product->qty ?></td>
                                            <td class="text-right">$<?php echo $this->cart->format_number($product->subtotal + ($product->qty *  $product->armado)) ?></td>

                                        </tr>

                                    <?php endforeach ?>

                                <?php endif ?>

                                <?php if( $compra->costo_envio ) : ?>

                                <tr>

                                    <td colspan="3" class="text-right">Envío : $<?php echo $this->cart->format_number($compra->costo_envio) ?></td>

                                </tr>

                                <?php endif ?>

                                <tr>

                                    <td colspan="3" class="text-right">Total : $<?php echo $this->cart->format_number($compra->total + $compra->costo_envio) ?></td>

                                </tr>

                            </tbody>

                        </table>

                    </div>


                </div>

                <?php endforeach ?>



            <?php else : ?>

            <p>¡Aun no has concretado ninguna compra!</p>

            

            <?php endif ?>


        </div>

        </div>

</section>
