<?php 

$armado_solicitado = false;

?>

<div id="sns_content" class="wrap layout-m">
    
    <div class="container">
        
        <div class="row">
            
            <div id="sns_main" class="col-md-12 col-main">

                <form action="" method="post">

                    <div class="row">

                        <div class="col-xs-12">

                        	<h1>Confirma tu compra</h1>

                        	<hr>

                        	<div class="row">

                        		<div class="col-xs-12">

                        			<h4 class="titulo-confirmacion">Productos :</h4>

		                        	<?php foreach($cart as $key => $product) : ?>
		                    
				                    <div class="row">

				                        <div class="col-xs-6 col-sm-6">

				                        	<div class="row">

				                        		<div class="col-xs-2">

				                        			<img src="<?php echo $product->thumb ?>" />

				                        		</div>


				                        		<div class="col-xs-10">

				                        			<p style="font-size:14px;"><?php echo $product->name ?></p>

						                            <p style="font-size:12px;">
						                                
						                                Precio unitario : <?php echo $this->functions->precioUnitarioCart($product->items); ?>
						                           
						                            </p>

						                            <p style="font-size:12px;">
						                                
						                                Cantidad : <?php echo $product->items['qty']; ?>
						                           
						                            </p>

				                        		</div>


				                        	</div>

				                        </div>

				                        <div class="col-sm-6 text-right">

				                            <p style="font-size:22px">
				                                <?php echo $this->functions->precioCart($product->items) ?>
				                            </p>

				                            <?php if($product->items['armado'] != 0) : ?>

				                            <?php $armado_solicitado = true; ?>

				                            <?php if($this->session->CARRITO_departamento != 'Montevideo' && $this->session->CARRITO_tipo_envio == 'Envio a domicilio') : ?>

				                            <p><del>+ $ <?php echo $product->items['armado'] * $product->items['qty'] ?> de armado</del></p>

				                        	<?php else : ?>

				                            <p>+ $ <?php echo $product->items['armado'] * $product->items['qty'] ?> de armado</p>

				                        	<?php endif ?>

				                            <?php endif ?>

				                        </div>
				                    
				                    </div>

				                    <hr>
				                    
				                    <?php endforeach ?>
                        		</div>

                        	</div>

                        	<?php if( $this->session->userdata('CARRITO_tipo_envio') == 'Envio a domicilio' ) : ?>

                        	<div class="row">

                        		<div class="col-xs-12">

                        			<h4 class="titulo-confirmacion">Costos de envío :</h4>

                        			<div class="row">

                        				<div class="col-xs-7">

	                        			<?php if( $this->session->userdata('CARRITO_departamento') == 'Montevideo' ) : ?>

	                        			<?php $especial = 0; ?>

	                                    <?php if( $this->cart->total_items() == 1 ) : ?>

	                                        <?php foreach( $this->cart->contents() as $key => $value ) : ?>

	                                            <?php $especial = $value['especial'] ?>

	                                        <?php endforeach ?>

	                                    <?php endif ?>

	                                    <?php if($especial) : ?>

	                                    	<?php $precio = $this->settings->get('precio_envio_especial'); ?>
	                        				
	                        			<?php else : ?>

	                        				<?php $precio = $this->settings->get('precio_' . $this->session->userdata('CARRITO_zona'))  ?>

	                        			<?php endif ?>

	                        			<?php if( $this->functions->totalEnvio()->total ) : ?>

	                        			<p>Envío a Montevideo : + $<?php echo $precio ?></p>

	                        			<?php endif ?>

	                        			<?php elseif( $this->session->userdata('CARRITO_departamento') == 'San Jose' || $this->session->userdata('CARRITO_departamento') == 'Canelones' ) : ?>
	                        			
	                        			<?php else : ?>

	                        				<p>Envío a <?php echo $this->session->userdata('CARRITO_departamento') ?> : </p>

	                        				<?php echo $this->render->tablaGastosEnvio() ?>

	                        			<?php endif ?>

                        				</div>


                        				<div class="col-xs-5">

                        					<p class="text-right" style="font-size:22px;"><?php echo $this->functions->totalEnvio()->formateado ?></p>

                        				</div>

                        			</div>
		                        	
                        		</div>

                        	</div>

                        	<?php endif ?>

                        	<div class="row">

                        		<div class="col-xs-12">

                        			<h4 class="titulo-confirmacion">Total :</h4>

                        			<?php if($armado_solicitado && $this->session->CARRITO_departamento != 'Montevideo' && $this->session->CARRITO_departamento ) : ?>

                        			<p>El armado de productos solamente se encuentra disponible dentro de Montevideo.</p>

                        			<?php endif ?>

                        			<?php if($this->functions->totalFinal('PES')->total != 0 ) : ?>
					                <h3 class="text-right" >
					                    Total en pesos uruguayos : <?php echo $this->functions->totalFinal('PES')->formateado; ?>
					                </h3>
					                <?php endif ?>

					                
					                <?php if($this->functions->totalFinal('DOL')->total != 0 ) : ?>
					                <h3 class="text-right" >
					                    Total en dolares : <?php echo $this->functions->totalFinal('DOL')->formateado; ?>
					                </h3>
					                <?php endif ?>

					                <h5 class="text-right">Método de pago : <?php echo $this->session->CARRITO_metodo ?></h5>

		                        	
                        		</div>

                        	</div>

                        	<hr>

                        	<div class="row">

                        		<div class="col-xs-12">

                        			<a href="carrito/datos" class="btn btn-primary">Volver</a>

                        			<a class="btn btn-success pull-right" href="carrito/procesar">Realizar compra</a>		
		                        	
                        		</div>

                        	</div>

                        	

                        </div>

                    </div>

                </form>

			</div>

		</div>

	</div>

</div>

</div>
</div>
</div>
</div>
</div>

