<section class="bg-white">
    
    <div class="container">
        
        <div class="row">
            
            <div id="sns_main" class="col-md-12 col-main">

                <form action="" method="post">

                    <div class="row">

                        <div class="col-xs-12">

                            <h3>Datos personales</h3>

                            <?php echo validation_errors('<p class="text-danger">', '</p>') ?>

                            <hr>

                        </div>

                        <div class="col-xs-12 col-sm-4">

                            <div class="form-group">

                                <label>Tipo de documento</label>
                                <select name="tipo_documento" required class="form-control">

                                    <option value="" >Seleccionar</option>
                                    <option <?php echo set_value('tipo_documento', $this->session->CARRITO_tipo_documento ) == 'Cédula de identidad' ? 'selected' : '' ?> >Cédula de identidad</option>
                                    <option <?php echo set_value('tipo_documento', $this->session->CARRITO_tipo_documento ) == 'Pasaporte' ? 'selected' : '' ?> >Pasaporte</option>

                                </select>

                            </div>

                        </div>

                        <div class="col-xs-12 col-sm-4">

                            <div class="form-group">

                                <label>Documento</label>
                                <input type="text" name="documento" value="<?php echo set_value('documento', $this->session->CARRITO_documento) ?>" required placeholder="Documento" class="form-control" />

                            </div>

                        </div>

                        <div class="col-xs-12 col-sm-4">

                            <div class="form-group">

                                <label>Teléfono</label>
                                <input type="text" name="telefono" required value="<?php echo set_value('telefono', $this->session->CARRITO_telefono) != '' ? set_value('telefono', $this->session->CARRITO_telefono) : '' ?>" placeholder="Teléfono" class="form-control" />

                            </div>

                        </div>

                        <div class="col-xs-12">

                            <div class="checkbox">

                                <label>
                                    <input type="checkbox" name="factura" <?php echo $this->session->has_userdata('CARRITO_factura') || set_value('factura') == 'on' ? 'checked' : ''  ?> > Necesito factura con RUT
                                </label>

                            </div>

                        </div>

                        <div class="" id="bloque-facturacion" <?php echo $this->session->has_userdata('CARRITO_factura') || set_value('factura') == 'on' ? 'style="display:block"' : ''; ?> >

                            <div class="col-xs-12 col-sm-6">

                                <div class="form-group">

                                    <label>Razón social</label>
                                    <input type="text" name="razon_social" value="<?php echo set_value('razon_social', $this->session->CARRITO_razon_social) ?>" placeholder="Razón social" class="form-control" />

                                </div>

                            </div>

                            <div class="col-xs-12 col-sm-6">

                                <div class="form-group">

                                    <label>RUT</label>
                                    <input type="text" name="rut" value="<?php echo set_value('rut', $this->session->CARRITO_rut) ?>" placeholder="RUT" class="form-control" />

                                </div>

                            </div>

                        </div>

                    </div>

                    <hr>

                    <div class="row">

                        <div class="col-xs-12">

                            <h3>Forma de entrega y método de pago</h3>

                        </div>

                        <div class="col-xs-12 col-sm-6">

                            <label>Forma de entrega</label>
                            <select name="tipo_envio" required class="form-control" >

                                <option value="">Seleccionar</option>
                                <option <?php echo set_value('tipo_envio', $this->session->CARRITO_tipo_envio ) == 'Envio a domicilio' ? 'selected' : '' ?> >Envio a domicilio</option>
                                <option <?php echo set_value('tipo_envio', $this->session->CARRITO_tipo_envio ) == 'Retiro en local' ? 'selected' : '' ?> >Retiro en local</option>

                            </select>

                        </div>

                        <div class="col-xs-12 col-sm-6">

                            <label>Método de pago</label>
                            <select name="metodo" required class="form-control" >

                                <?php if($metodos) : ?>

                                <option value="">Seleccionar</option>

                                <?php foreach($metodos as $key => $metodo) : ?>

                                <option <?php echo set_value('metodo', $this->session->CARRITO_metodo ) == $metodo->nombre ? 'selected' : '' ?> ><?php echo $metodo->nombre ?></option>

                                <?php endforeach ?>

                                <?php endif ?>

                            </select>

                        </div>

                    </div>

                    <hr>

                    <div class="row envio" <?php echo set_value('tipo_envio', $this->session->CARRITO_tipo_envio ) == 'Envio a domicilio' ? 'style="display:block"' : '' ?> >

                        <div class="col-xs-12 col-sm-12">

                            <h4>Dirección de envío</h4>

                            <hr>

                            <div class="row">

                                <div class="col-xs-12 col-sm-6">

                                    <div class="form-group">

                                        <label>Departamento</label>

                                        <select name="departamento" class="form-control">
                                            <option value="">Seleccionar</option>
                                            <option value="Montevideo" <?php echo set_value('departamento', $this->session->CARRITO_departamento) == 'Montevideo' ? 'selected' : '' ?> >Montevideo</option>
                                            <option value="" disabled>----------</option>
                                            <option value="Canelones" <?php echo set_value('departamento', $this->session->CARRITO_departamento) == 'Canelones' ? 'selected' : '' ?> >Canelones</option>
                                            <option value="Maldonado" <?php echo set_value('departamento', $this->session->CARRITO_departamento) == 'Maldonado' ? 'selected' : '' ?> >Maldonado</option>
                                            <option value="Salto" <?php echo set_value('departamento', $this->session->CARRITO_departamento) == 'Salto' ? 'selected' : '' ?> >Salto</option>
                                            <option value="Colonia" <?php echo set_value('departamento', $this->session->CARRITO_departamento) == 'Colonia' ? 'selected' : '' ?> >Colonia</option>
                                            <option value="Paysandu" <?php echo set_value('departamento', $this->session->CARRITO_departamento) == 'Paysandú' ? 'selected' : '' ?> >Paysandú</option>
                                            <option value="San Jose" <?php echo set_value('departamento', $this->session->CARRITO_departamento) == 'San José' ? 'selected' : '' ?> >San José</option>
                                            <option value="Rivera" <?php echo set_value('departamento', $this->session->CARRITO_departamento) == 'Rivera' ? 'selected' : '' ?> >Rivera</option>
                                            <option value="Tacuarembo" <?php echo set_value('departamento', $this->session->CARRITO_departamento) == 'Tacuarembó' ? 'selected' : '' ?> >Tacuarembó</option>
                                            <option value="Cerro Largo" <?php echo set_value('departamento', $this->session->CARRITO_departamento) == 'Cerro Largo' ? 'selected' : '' ?> >Cerro Largo</option>
                                            <option value="Soriano" <?php echo set_value('departamento', $this->session->CARRITO_departamento) == 'Soriano' ? 'selected' : '' ?> >Soriano</option>
                                            <option value="Artigas" <?php echo set_value('departamento', $this->session->CARRITO_departamento) == 'Artigas' ? 'selected' : '' ?> >Artigas</option>
                                            <option value="Rocha" <?php echo set_value('departamento', $this->session->CARRITO_departamento) == 'Rocha' ? 'selected' : '' ?> >Rocha</option>
                                            <option value="Florida" <?php echo set_value('departamento', $this->session->CARRITO_departamento) == 'Florida' ? 'selected' : '' ?> >Florida</option>
                                            <option value="Lavalleja" <?php echo set_value('departamento', $this->session->CARRITO_departamento) == 'Lavalleja' ? 'selected' : '' ?> >Lavalleja</option>
                                            <option value="Durazno" <?php echo set_value('departamento', $this->session->CARRITO_departamento) == 'Durazno' ? 'selected' : '' ?> >Durazno</option>
                                            <option value="Rio Negro" <?php echo set_value('departamento', $this->session->CARRITO_departamento) == 'Rio Negro' ? 'selected' : '' ?> >Rio Negro</option>
                                            <option value="Treinta y Tres" <?php echo set_value('departamento', $this->session->CARRITO_departamento) == 'Treinta y Tres' ? 'selected' : '' ?> >Treinta y Tres</option>
                                            <option value="Flores" <?php echo set_value('departamento', $this->session->CARRITO_departamento) == 'Flores' ? 'selected' : '' ?> >Flores</option>
                                        </select>
                                        

                                    </div>
                                </div>

                                <div class="col-xs-12 col-sm-6 ciudad" <?php echo set_value('departamento', $this->session->CARRITO_departamento) != 'Montevideo' ? 'style="display:block"' : 'style="display:none"' ?>>

                                    <div class="form-group">

                                        <label>Localidad / Barrio</label>
                                        <input type="text" value="<?php echo set_value('ciudad', $this->session->CARRITO_ciudad); ?>" name="ciudad" class="form-control" />

                                    </div>

                                </div>

                                <div class="col-xs-12 col-sm-6 zona" <?php echo set_value('departamento', $this->session->CARRITO_departamento) == 'Montevideo' ? 'style="display:block"' : 'style="display:none"' ?> >

                                    <div class="form-group">

                                        <label>Zona</label>
                                        <select required class="form-control" name="zona">

                                            <option <?php echo set_value('zona', $this->session->CARRITO_zona ) == 'zona_1' ? 'selected' : '' ?> value="zona_1" >Zona 1</option>
                                            <option <?php echo set_value('zona', $this->session->CARRITO_zona ) == 'zona_2' ? 'selected' : '' ?> value="zona_2" >Zona 2</option>

                                        </select>

                                    </div>

                                </div>

                                <div class="col-xs-12 col-sm-6">

                                    <div class="form-group">

                                        <label>Código postal</label>
                                        <input type="text" name="codigo_postal" value="<?php echo set_value('codigo_postal', $this->session->CARRITO_codigo_postal); ?>" class="form-control" />

                                    </div>

                                </div>

                                <div class="col-xs-12 col-sm-6">

                                    <div class="form-group">

                                        <label>Dirección</label>
                                        <input type="text" name="direccion" value="<?php echo set_value('direccion', $this->session->CARRITO_direccion) != '' ? set_value('direccion', $this->session->CARRITO_direccion) : '' ; ?>" class="form-control" />

                                    </div>

                                </div>

                                <div class="col-xs-12">

                                    <div class="form-group">

                                        <label>Aclaraciones</label>
                                        <textarea name="aclaraciones" class="form-control" rows="8"><?php echo set_value('aclaraciones', $this->session->CARRITO_aclaraciones); ?></textarea>

                                    </div>

                                </div>

                            </div>
                            
                        </div>



            

                    </div>

                    <hr>

                    <div class="row">

                        <div class="col-xs-12">

                            <a href="carrito" class="btn btn-default">Volver</a>

                            <button type="submit" name="enviar" class="btn btn-primary pull-right"> Continuar <span class="glyphicon glyphicon-circle-arrow-right"></span></button>

                        </div>

                    </div>

                </form>

            </div>

        </div>

    </div>

</section>
