<section class="page-white bgpatttern clearfix animated in" data-delay="0" data-animation="fadeIn">
    <div class="section-title">
        <h1>Empresa</h1>
        <div class="breadcrumb-container">
            <ul class="breadcrumb">
                <li><a href="">Inicio</a></li>
                <li><a href="empresa">Empresa</a></li>
            </ul>
        </div>
    </div>
    <!-- end section title --> 
</section>
<section class="section-w what-vd">
    <div class="container">
        <div class="row">
            <div class="col-xs-12 animated in" data-delay="0" data-animation="fadeIn">
                <div class="what-tabs">
                    <h2 class="animated flipInX in" data-delay="0" data-animation="flipInX">Sobre <?php echo $this->config->item('site_name') ?></h2>
                    <ul class="nav nav-pills know">
                        <li class="active"><a data-toggle="pill" href="#home">Historia</a></li>
                        <li><a data-toggle="pill" href="#menu1">Nosotros</a></li>
                        <li><a data-toggle="pill" href="#menu2">Misión y visión</a></li>
                        <li><a data-toggle="pill" href="#menu3">Nuestra prioridad</a></li>
                        <li><a data-toggle="pill" href="#menu4">Bolsa de trabajo</a></li>
                        <li><a data-toggle="pill" href="#menu5">Política de privacidad</a></li>
                    </ul>
                    <div class="pills tab-content content-gray">
                        <div id="home" class="tab-pane fade in active">
                            <div class="tab-main">
                                
                                <div class="tab-image">
                                    <img src="img/historia.jpg" class="img-responsive" alt="">
                                </div>

                                <h4>Un poco de historia...</h4>
                                
                                <p>
                                    A fines de 1995 el Sr. Wayne Jack, fundador de WINROC Corporation, se reunió en Canadá junto al Arq. Guillermo Millacet con la intención de desarrollar en Uruguay una empresa distribuidora de materiales para la construcción en seco basada en el modelo Norteamericano.
                                    
                                    <br> En esa época en nuestro país existían las típicas “Barracas” donde solo se ofrecían materiales para llevar adelante los viejos métodos constructivos tradicionales de tipo húmedo. 
                                    
                                    <br> Luego se incorporó al grupo la Sra. Patricia Perez y ese emprendimiento abrió sus puertas en Marzo de 1996 elaborando las bases de un modelo de empresa que cambió para siempre las exigencias de la clientela local en Uruguay. 
                                    
                                    <br>A partir del año 2010, estos mismos tres pioneros de los años 90 decidieron asociarse para llevar otro emprendimiento similar aún más desafiante pero totalmente enfocado en el sistema estructural llamado STEEL FRAMING y fundaron la actual empresa SECOCENTER.

                                </p>

                            </div>
                        </div>
                        <div id="menu1" class="tab-pane fade">
                            <div class="tab-main">

                                <div class="tab-image">
                                    <img src="img/nosotros.jpg" class="img-responsive" alt="">
                                </div>

                                <h4>Nosotros</h4>

                                <p>
                                    El grupo humano que compone la empresa SECOCENTER cuenta con una larga experiencia profesional asociada exclusivamente al rubro de la Construcción en Seco. 
                                    <br>El trabajo que efectúan diariamente nuestros empleados trae como resultados una mejor respuesta a los servicios requeridos por nuestros clientes. 
                                    <br>El permanente contacto que se tiene con las nuevas tendencias tecnológicas nos permite apoyar directamente la transformación que se está llevando adelante en la industria de la construcción del Uruguay. 
                                    <br>En SECOCENTER estamos siempre atentos a poder brindar un servicio acorde a las principales necesidades tanto de materiales como técnicas. 
                                    <br>Muchas gracias por su interés en nosotros y esperamos servirlo en su próximo proyecto.
                                </p>


                            </div>
                        </div>
                        <div id="menu2" class="tab-pane fade">
                           
                           <div class="tab-main">

                                <div class="tab-image">
                                    <img src="img/mision.jpg" class="img-responsive" alt="">
                                </div>
                                
                                <h4>Misión y visión</h4>

                                <h6>Misión</h6>
                                <p>
                                    Nuestra misión empresarial está basada en suministrar nuevas formas constructivas que beneficiarán en forma directa la calidad de vida de todos los uruguayos. 
                                </p>

                                <br><br>

                                <h6>Visión</h6>
                                <p class="second-para">
                                    Acompañar la irreversible evolución de la industria de la construcción brindando siempre un soporte técnico de vanguardia, trasmitiendo conocimientos prácticos para lograr una correcta ejecución y ofreciendo productos de la mejor calidad. 
                                </p>

                            </div>

                        </div>

                        <div id="menu3" class="tab-pane fade">

                            <div class="tab-main">

                                <div class="tab-image">
                                    <img src="img/prioridad.jpg" class="img-responsive" alt="">
                                </div>
                                
                                <h4>Nuestra prioridad</h4>

                            
                                <p>
                                   La prioridad de SECOCENTER es desarrollar en forma masiva la Construcción en Seco en el Uruguay fomentando sus mejores cualidades. 
                                </p>

                                <p class="second-para">
                                    Creemos firmemente que ese objetivo se logra brindando un reconocido soporte técnico, un máximo estándar de calidad en los productos ofrecidos y un constante servicio al cliente.
                                </p>

                            </div>

                        </div>

                        <div id="menu4" class="tab-pane fade">

                            <div class="tab-main">

                                <div class="tab-image">
                                    <img src="img/bolsa.jpg" class="img-responsive" alt="">
                                </div>
                                
                                <h4>Bolsa de trabajo</h4>

                            
                                <p>
                                    Si estás buscando un empleo donde puedas sentirte a gusto y desarrollar tus conocimientos entonces SECOCENTER también te está buscando a ti. 
                                </p>

                                <p class="second-para">
                                    Estamos ubicados tanto en Montevideo como en Maldonado y ofrecemos salarios competitivos dentro de un ambiente laboral tanto distendido como desafiante. 
                                </p>

                            </div>

                        </div>

                        <div id="menu5" class="tab-pane fade">

                            <div class="tab-main">

                                <div class="tab-image">
                                    <img src="img/politica.jpg" class="img-responsive" alt="">
                                </div>
                                
                                <h4>Política de privacidad</h4>

                                <p>
                                    Garantizamos la privacidad de nuestros servicios en línea a través de nuestra Política de Privacidad. 
                                </p>
                                
                                <h6>Puntos que abarca la Política de Privacidad</h6>
                                <p>
                                    Para nosotros, la información personal proporcionada está conformada por datos tales como: nombre, domicilio, e-mail y números de teléfono. Se trata de datos privados que NO están disponibles al público. 
                                </p>

                                <br>
                                <h6>Relevamiento y Uso de Información</h6>
                                <p>
                                    Cuando usted se registra para obtener una cuenta con nosotros, le solicitamos datos tales como: nombre, correo electrónico, fecha de nacimiento, dirección empresarial, profesión e intereses personales para ciertos servicios financieros. 
                                </p>    

                                <br>
                                <h6>Confidencialidad y Seguridad</h6>
                                <p>
                                    El acceso a su información personal está limitada sólo a aquellos empleados de SECOCENTER quienes consideramos necesitan tener contacto con esos datos para proporcionarle los productos y servicios que usted pueda solicitarnos. Contamos con medidas de respaldo físico, electrónico y de procedimientos que protegen la información personal de todos nuestros usuarios. 
                                </p>

                                <br>
                                <h6>Dudas o sugerencias</h6>
                                <p>
                                    Si tiene dudas o sugerencias respecto a nuestra Política de Privacidad, favor envíenos un e-mail a 
                                    <a href="mailto:info@secocenter.com">info@secocenter.com</a> y le responderemos a la brevedad posible.
                                </p>
                            

                            </div>

                        </div>


                    </div>
                </div>
            </div>
      
        </section>