<?php

echo $this->functions->productBreadcrumb($product);

?>

<div class="row">

	<div class="col-lg-6 col-sm-12">

		<div class="fotorama-wrap">

			<div class="fotorama" data-width="100%" data-allowfullscreen="true" data-ratio="3/2" data-max-width="100%" data-max-height="1000px" data-nav="thumbs" data-thumb-height="80" data-caption="overlay">

				
				<?php
				if($images != false)
				{
					foreach($images as $key => $img)
					{
						echo '<a href="'.$img->grande.'" data-caption="'.$img->text.'"><img src="'.$img->thumb.'" width="144" height="96" ></a>';
					}
				}
				?>

				<?php if($product->video != '') : ?>
				<a href="http://youtube.com/watch?v=<?php echo $this->functions->getYoutubeID($product->video) ?>"><?php echo $product->name ?></a>
				<?php endif ?>				
			    
			</div>
		</div>
	</div>

	<div class="col-lg-6 col-sm-12">

		<div class="row descripcion">

			<div class="col-lg-12">

				<h2><?php echo $product->name ?></h2>

			</div>

			<div class="col-lg-12">

			<p>
			<?php echo $product->description ?>
			</p>

			</div>

			<div class="col-lg-12">

				<button class="btn btn-primary" id="opciones" >Ver opciones</button>

			</div>

		</div>

		<div class="row">

			<div class="col-lg-12 col-xs-12">

				<button type="button" class="btn btn-default" id="boton-favoritos" data-usuario="<?php echo $this->session->userdata('id_user') ?>" data-producto="<?php echo $product->id ?>" >
  					
					<?php if($favorito) : ?>
  					<span class="glyphicon glyphicon-heart" aria-hidden="true"></span> Quitar de favoritos
  					<?php else : ?>
  					<span class="glyphicon glyphicon-heart-empty" aria-hidden="true"></span> Agregar a favoritos
  					<?php endif ?>

				</button>

				<button type="button" class="btn btn-default" id="boton-enviar-amigo" data-product="<?php echo $product->id ?>">
  					<span class="glyphicon glyphicon-envelope" aria-hidden="true"></span> Enviar a un amigo
				</button>

				<button type="button" class="btn btn-default hidden-xs" id="boton-imprimir">
  					<span class="glyphicon glyphicon-print" aria-hidden="true"></span> Imprimir página
				</button>

			</div>
			<hr>

			<div class="col-lg-12">



				<!-- AddThis Button BEGIN -->
		        <div class="addthis_toolbox addthis_default_style ">
		        <a class="addthis_button_facebook_like" fb:like:layout="button_count"></a>
		        <a class="addthis_button_tweet"></a>
		   
		        </div>
		        <script type="text/javascript">var addthis_config = {"data_track_addressbar":false};</script>
		        <script type="text/javascript" src="http://s7.addthis.com/js/250/addthis_widget.js#pubid=ra-4dcc52114c769655"></script>
		        <!-- AddThis Button END -->

		

			</div>
			
		</div>

	</div>


	<div class="col-lg-12">

		<?php if($product->cart != false) : ?>

		<div class="variantes" style="display:none">

		<?php foreach($product->cart as $key => $cart) : ?>

		<?php if( $cart->active ) : ?>
		<div class="row">
			
			<div class="col-lg-12">

				<h4><?php echo $cart->variant ?></h4>

			</div>

			<div class="col-lg-5 recuadro-comprar">

				<p class="precio-single">

					<?php echo "<small>", $this->functions->getCurrency($cart), "</small>",' ', $this->functions->precio($cart, true) ?>
					
					<small class="smaller"> IVA inc. </small>

					<span style="font-size:12px;display:block" ><?php echo $this->functions->precioOtraMoneda($cart) ?></span>
					
					<?php if($cart->discount != 0) : ?>
					<span style="font-size:12px;display:block" > Descuento : <?php echo $cart->discount ?>% </span>
					<small class="precio-sin-descuento">Antes : <del><?php echo $this->functions->getCurrency($cart), ' ', $this->functions->precio($cart, false) ?></del></small>
					<?php endif ?>

				</p>

				<?php if($cart->active && $cart->stock ) : ?>

				<p>
					<img src="img/tick.png" width="15px" />
					Disponible
				</p>

				<?php endif ?>

				<?php if ($cart->active && !$cart->stock) : ?>
		
				<p>
					<img src="img/cross.png" width="15px" />
					Sin Stock
				</p>

				<?php endif ?>

			</div>

			<div class="col-lg-3 col-lg-offset-4">

				<?php if($cart->active && $cart->stock ) : ?>

				<div class="col-lg-12 col-xs-4">
					
					<p class="cantidad">Cantidad :</p>
		              	
				</div>

				<div class="col-lg-4 col-xs-4">
					
			        <input type="number" min="1" value="1" name="qty" class="form-control qty">
		              	
				</div>

				<div class="col-lg-8 col-xs-4">
					
					<button class="btn btn-primary boton-comprar" data-id="<?php echo $cart->id ?>" data-qty="1" >COMPRAR</button>

				</div>

				<?php endif ?>

			</div>

		</div>
		<?php endif ?>

		<br>

		<?php endforeach ?>
		</div>
		<?php endif ?>

	</div>

</div>

<hr>

<div class="row">

	<div class="col-lg-12">

		<div class="row">

			<div class="col-lg-12 ">

				<hr>
				<div class="row">
					<div class="col-lg-12">

						<p class="bg-info">Preguntas sobre el producto <span class="glyphicon glyphicon-question-sign"></span></p>
				
					</div>
				</div>

				<?php if($this->session->userdata('logged_user') == true) : ?>

				<div class="row">
					<div class="col-lg-12">
						<form>

							<p id="estado-pregunta">Tienes una consulta? No dudes en preguntar</p>
							<textarea class="form-control" rows="3" id="pregunta"></textarea>
							<p id="errores-pregunta"></p>
							<hr>
							<button class="btn btn-primary btn-sm pull-right" id="boton-preguntar" data-product="<?php echo $product->id ?>">Preguntar</button>

						</form>
					</div>
				</div>

				<hr>

				<?php endif ?>
				
				<?php if($questions != false) : ?>

					<?php foreach($questions as $key => $question) : ?>
						<div class="row">
							<div class="col-lg-12 pregunta">
								<p><?php echo $question->question ?></p>
							</div>
						</div>
							
							<?php if( $question->answer != '' ) : ?>
								<div class="row">
									<div class="col-lg-12 respuesta">
										<p><?php echo $question->answer ?> <span> - Hace <?php echo $this->functions->tiempoTranscurrido($question->date_answer) ?></span> </p>
									</div>
								</div>
							<?php endif ?>

						
					<?php endforeach ?>

				<?php else : ?>



				<?php endif ?>

				<hr>
				<?php if($this->session->userdata('logged_user') != true) : ?>
					<p>Debes <a href="ingresar">ingresar con tu cuenta</a> para poder preguntar.</p>	
				<?php endif ?>
			</div>
			
		</div>
	</div>

	<div class="col-lg-12 hidden-xs">

		<?php if( $relevants != false ) : ?>
		<h4>Algunos productos que te podrían interesar</h4>

		<?php foreach($relevants as $key => $relevant) : ?>

			<?php echo $this->functions->bloqueProducto($relevant, 3); ?>

		<?php endforeach ?>

		<?php endif ?>

	</div>

</div>


</div>


<!-- MODAL FAVORITOS -->
<div class="modal fade" id="modal-favoritos-error">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
        <h4 class="modal-title">Debes iniciar sesión</h4>
      </div>
      <div class="modal-body">
        <p>Para utilizar esta característica debes iniciar sesión en nuestro sitio.</p>
      </div>
      <div class="modal-footer">
        <a class="btn btn-default" href="ingresar">Iniciar sesión</a>
        <a class="btn btn-default" href="registro">Crear cuenta</a>
        <button type="button" class="btn btn-primary" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>