<div class="breadcrumb">
	<div class="container">
		<div class="breadcrumb-inner">
			<ul class="list-inline list-unstyled">
				<li>
					<a href="">Inicio</a> /
				</li>
				<?php if($product->category != 0) : ?>
				<li>
					<a href="categoria/<?php echo $product->category_slug ?>"><?php echo $product->category_name ?></a> /
				</li>
				<?php endif ?>
				<li class='active'><?php echo $product->name ?></li>
			</ul>
		</div>
	</div>
</div>

<div class="body-content outer-top-xs">
	<div class='container'>
		<div class='row single-product outer-bottom-sm '>
			<div class='col-md-3 sidebar'>
				<div class="sidebar-module-container">
					<!-- ==============================================CATEGORY============================================== -->

				<?php if($categories != false) : ?>
				<div class="sidebar-widget outer-bottom-xs wow fadeInUp">
					<h3 class="section-title">Categorias</h3>
					<div class="sidebar-widget-body m-t-10">
						<div class="accordion">

							<?php foreach($categories as $category) : ?>
					    	<div class="accordion-group">
					            <div class="accordion-heading">
					                <a href="#<?php echo $category->slug ?>" data-toggle="collapse" class="accordion-toggle collapsed">
					                   <?php echo $category->name ?>
					                </a>
					            </div><!-- /.accordion-heading -->

					            <?php if($category->childs != false) : ?>

					            <div class="accordion-body collapse" id="<?php echo $category->slug ?>" style="height: 0px;">
					                <div class="accordion-inner">
					                    <ul>
					                    	<?php foreach($category->childs as $sub) : ?>
					                        	<li>
					                        		<a href="#"><?php echo $sub->name ?></a>
					                        	</li>
					                    	<?php endforeach ?>
					                      
					                    </ul>
					                </div><!-- /.accordion-inner -->
					            </div><!-- /.accordion-body -->

					        	<?php endif ?>

					        </div><!-- /.accordion-group -->

					    	<?php endforeach ?>

					      

					    </div><!-- /.accordion -->
					</div><!-- /.sidebar-widget-body -->
				</div><!-- /.sidebar-widget -->

				<?php endif ?>
					<!-- ============================================== CATEGORY : END ============================================== -->					<!-- ============================================== HOT DEALS ============================================== -->
									<!-- ============================================== COLOR============================================== -->
				
    
<!-- ============================================== COLOR: END ============================================== -->
				</div>
			</div><!-- /.sidebar -->
			<div class='col-md-9'>
				<div class="row  wow fadeInUp">
					     <div class="col-xs-12 col-sm-6 col-md-5 gallery-holder">
    <div class="product-item-holder size-big single-product-gallery small-gallery">

        <div id="owl-single-product">
            <div class="single-product-gallery-item" id="slide1">
                <a data-lightbox="image-1" data-title="Gallery" href="<?php echo $product->thumb ?>">
                    <img class="img-responsive" alt="" src="assets/images/blank.gif" data-echo="<?php echo $product->thumb ?>" />
                </a>
            </div><!-- /.single-product-gallery-item -->

            
           
        </div><!-- /.single-product-slider -->


    


    </div><!-- /.single-product-gallery -->
</div><!-- /.gallery-holder -->        			
					<div class='col-sm-6 col-md-7 product-info-block'>
						<div class="product-info">
							<h1 class="name"><?php echo $product->name ?></h1>
						

							<div class="description-container m-t-20">
								<?php echo $product->description ?>
							</div><!-- /.description-container -->

							<?php if($this->session->userdata('logged_user') == 1) : ?>
							<div class="price-container info-container m-t-20">
								<div class="row">
									

									<div class="col-sm-6">
										<div class="price-box">
											<span class="price"><?php echo $this->config->item('currency'), ( $this->functions->price($product->cart) * ( (100 - $product->cart->discount) ) / 100 ) ?></span>
											
											<?php if($product->cart->discount != 0) : ?>
												<span class="price-strike"><?php echo $this->config->item('currency'), $this->functions->price($product->cart) ?></span>
											<?php endif ?>
										</div>
									</div>

									

								</div><!-- /.row -->
							</div><!-- /.price-container -->

							<div class="quantity-container info-container">

								<form method="post" id="comprar" action="carrito/add">

								<input type="hidden" name="id" id="id" value="<?php echo $product->id ?>" />

									<div class="row">
										
										<div class="col-sm-2">
											<span class="label">Cantidad :</span>
										</div>
										
										<div class="col-sm-2">
											<div class="cart-quantity">
												<div class="quant-input">
									                <div class="arrows">
									                  <div class="arrow plus gradient"><span class="ir"><i class="icon fa fa-sort-asc"></i></span></div>
									                  <div class="arrow minus gradient"><span class="ir"><i class="icon fa fa-sort-desc"></i></span></div>
									                </div>
									                <input type="text" value="1" name="qty">
								              </div>
								            </div>
										</div>

										<div class="col-sm-7">
											<input value="AGREGAR AL CARRO" type="submit" name="add" id="add" class="btn btn-primary" />
			
										</div>

										
									</div><!-- /.row -->

								</form>
							</div><!-- /.quantity-container -->

							<?php else : ?>

							<p>Debes <a href="ingresar">ingresar</a> con tu cuenta para poder comprar<br></p>
							<p>Si no tienes una, puedes crearla <a href="registro">aqui</a> en minutos</p>

							<?php endif ?>
							

							
						</div><!-- /.product-info -->
					</div><!-- /.col-sm-7 -->
				</div><!-- /.row -->

				
				

				<!-- ============================================== UPSELL PRODUCTS ============================================== -->
<?php if($relevants != false) : ?>
<section class="section featured-product wow fadeInUp" style="margin-top:100px;">
	<h3 class="section-title">Productos que te pueden interesar</h3>
	<div class="owl-carousel home-owl-carousel upsell-product custom-carousel owl-theme outer-top-xs">
	    	
		
			
			<?php foreach($relevants as $product) : ?>

			<div class="item item-carousel">

				<div class="products">

				<div class="product">

					<div class="product-image" style="min-height:200px">
						<div class="image">
							<a href="producto/<?php echo $product->slug ?>">
								<img src="assets/images/blank.gif" data-echo="<?php echo $product->thumb ?>" alt="" width="200px;">
							</a>
						</div><!-- /.image -->			

						
					</div><!-- /.product-image -->
				
			
					<div class="product-info text-left" style="padding:5px">
						<h3 class="name">
							<a href="producto/<?php echo $product->slug ?>"><?php echo $product->name ?></a>
						</h3>				
					

						<div class="product-price">	
							<span class="price"><?php echo $this->config->item('currency'), ( $this->functions->price($product->cart) * ( (100 - $product->cart->discount) ) / 100 ) ?></span>
							
							<?php if($product->cart->discount != 0) : ?>
							<span class="price-before-discount"><?php echo $this->config->item('currency'), $this->functions->price($product->cart) ?></span>
							<?php endif ?>
												
						</div><!-- /.product-price -->
						
					</div><!-- /.product-info -->

					
					<div class="cart clearfix animate-effect">

					<div class="action">
						<ul class="list-unstyled">
							<li class="add-cart-button btn-group">
								<button class="btn btn-primary icon" data-toggle="dropdown" type="button">
									<i class="fa fa-shopping-cart"></i>													
								</button>
								<a class="btn btn-primary" href="producto/<?php echo $product->slug ?>">Agregar al carro</a>
														
							</li>
		                   
			                
						</ul>
					</div><!-- /.action -->
				</div><!-- /.cart -->
		</div><!-- /.product -->

		</div><!-- /.products -->

		</div><!-- /.item -->

		<?php endforeach ?>

      
		
	
		
	
	</div><!-- /.home-owl-carousel -->
</section><!-- /.section -->

<?php endif ?>
<!-- ============================================== UPSELL PRODUCTS : END ============================================== -->
			
</div>

<div class="clearfix"></div>

</div>

</div>