<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed'); 

class Adminmodel extends CI_Model{

	private $table_name = "admin";

	public function __construct()
	{
		parent::__construct();
	}

    public function get()
    {
        $sql = "SELECT * FROM $this->table_name
                ORDER BY id DESC";

        $query = $this->db->query($sql);

        if($query->num_rows() > 0)
        {
            return $query->result();
        }   

        return false;
    }

    public function others($id)
    {
        $sql = "SELECT * FROM $this->table_name
                WHERE id != $id
                ORDER BY id DESC";

        $query = $this->db->query($sql);

        if($query->num_rows() > 0)
        {
            return $query->result();
        }   

        return false;
    }

	public function single($id)
	{
		$sql = "SELECT * FROM $this->table_name
				WHERE $this->table_name.id = $id
				LIMIT 0,1";

		$query = $this->db->query($sql);
        
		if($query->num_rows() == 1)
		{
			return  $query->row();
		}	

		return false;
	}

	public function add($data)
	{

        if($this->db->insert($this->table_name, $data))
        {
            return true;
        }

        return false;
	}

	public function setActive($id, $active = false)
    {

        $a = $active == true ? 1 : 0;

        $sql = "UPDATE $this->table_name
                SET active = $a
                WHERE id = $id";

        $this->db->query($sql);
    }

    public function update($data)
    {

        $this->db->where('id', $this->session->userdata('id_admin'));

        if($this->db->update($this->table_name, $data))
        {
            return true;
        }

        return false;
    }

    public function updateOther($data, $id)
    {

        $this->db->where('id', $id);

        if($this->db->update($this->table_name, $data))
        {
            return true;
        }

        return false;
    }

    public function delete($brand)
    {
        $sql = "DELETE FROM $this->table_name
                WHERE id = $brand";

        if($this->db->query($sql))
        {   
            return true;
        }

        return false;
    }

}