    <div class="col-sm-10">

        <div class="row">

            <div class="col-xs-12">

                <form action="faqs/nuevo" method="POST">

                    <div class="row">

                        <div class="col-sm-12">

                            <h3>Nueva pregunta</h3>
                            <hr>

                        </div>

                        <div class="col-sm-10">

                            <div class="form-group">

                                <label>Pregunta</label>
                                <input type="text" required class="form-control" name="pregunta"  />

                            </div>

                        </div>

                        <div class="col-sm-10">

                            <div class="form-group">

                                <label>Respuesta</label>
                                <textarea name="respuesta" rows="5" class="form-control"></textarea>

                            </div>

                        </div>       

                        <div class="col-sm-12">
                            <button type="submit" class="btn btn-success">Agregar</button>
                        </div>


                    </div>

                </form>

                <?php if($faqs) : ?>

                <div class="row">

                    <div class="col-sm-10">

                        <h3>Tabla de preguntas</h3>

                        <hr>

                        <form action="faqs/actualizar" method="POST">

                            <table class="table">

                                <thead>

                                    <tr>

                                        <th style="width:85%">Preguntas</th>

                                        <th>Activo</th>

                                        <th class="text-right">Acciones</th>

                                    </tr>

                                </thead>

                                <tbody class="orden" data-tipo="faqs">

                                <?php foreach( $faqs as $key => $faq ) : ?>

                                <tr id="items_<?php echo $faq->id ?>">

                                    <input type="hidden" name="id[<?php echo $faq->id ?>]" value="<?php echo $faq->id ?>" />
                                    
                                    <td>
                                        
                                        <input class="form-control" name="pregunta[<?php echo $faq->id ?>]" value="<?php echo $faq->pregunta ?>" />
                                        <hr>
                                        <textarea class="form-control" name="respuesta[<?php echo $faq->id ?>]" rows="5"><?php echo $faq->respuesta ?></textarea>

                                        <br><br>
                                    </td>

                                    <td>

                                        <input type="checkbox" name="activo[<?php echo $faq->id ?>]" <?php echo $faq->activo ? 'checked' : '' ?> />

                                    </td>

                                    <td class="text-right">
                                        <a href="faqs/eliminar/<?php echo $faq->id ?>">
                                            <span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
                                        </a>
                                    </td>

                                </tr>



                                <?php endforeach ?>

                                </tbody>

                            </table>
                        
                            <div class="row">

                                <div class="col-xs-12">

                                    <button type="submit" class="btn btn-success">Actualizar tabla</button>

                                    <a href="" class="btn btn-default">Salir</a>

                                </div>

                            </div>

                        </form>

                    </div>

                </div>
                
                <?php else : ?>

                    <div class="col-md-10">
                        <h3>No hay bultos en la base de datos</h3>
                    </div>

                <?php endif ?>

            </div>


        </div>
        
    </div>

</div>