<div class="col-md-8" id="content">

    <h3>Producto : <?php echo $product->name ?></h3>

    <hr>

    <?php //var_dump($product) ?>
        <form action="" method="post" enctype="multipart/form-data" role="form" id="productos">

            <div class="form-group">
                <?php echo validation_errors('<p class="bg-danger">- ', '</p>'); ?>
                <?php if(isset($error)) echo $error ?>
            </div>

            <div class="row">

                <div class="col-sm-2">

                    <div class="input-group">

                        <select class="form-control" required name="currency">

                            <option value="">Moneda</option>
                            <option value="DOL" <?php echo $product->cart->currency == 'DOL' ? 'selected' : ''; ?> >U$S</option>
                            <option value="PES" <?php echo $product->cart->currency == 'PES' ? 'selected' : ''; ?> >$</option>

                        </select>

                    </div>

                </div>

                <div class="col-sm-3">

                    <div class="input-group">

                        <span class="input-group-addon"><b>Precio : </b> <?php echo $this->config->item('currency') ?></span>
                        <input type="number" placeholder="Precio" min="0" class="form-control" name="price" id="price" value="<?php echo set_value('price', intval($product->cart->price)) ?>" />
                        <span class="input-group-addon">.00</span>

                    </div>

                </div>


                <div class="col-sm-3">

                    <div class="input-group">

                        <span class="input-group-addon"><b>Descuento : </b> %</span>
                        <input type="number" placeholder="Descuento" min="0" max="100" class="form-control" name="discount" id="discount" value="<?php echo set_value('discount', $product->cart->discount) ?>" />

                    </div>

                </div>

            </div>

            <hr>

            <div class="row">

                <div class="col-sm-12">

                    <!-- <div class="form-group">

                        <div class="checkbox">
                            <label>

                                <input type="checkbox" name="active" <?php if($product->cart->active == 1) echo 'checked' ?> > Habilitado para la venta online
                            
                            </label>
                        </div>
                  
                    </div> -->

                    <!-- <div class="form-group">

                        <div class="checkbox">
                            <label>

                                <input type="checkbox" name="stock" <?php if($product->cart->stock == 1) echo 'checked' ?> > En stock

                            </label>
                        </div>
          
                    </div>

                    <div class="form-group">

                        <div class="checkbox">
                            <label>

                                <input type="checkbox" name="offer" <?php if($product->cart->offer == 1) echo 'checked' ?> > Producto en oferta

                            </label>
                        </div>
          
                    </div> -->

                </div>

            </div>

            <hr>

            <div class="row">

                <div class="col-xs-8">

                    <div class="form-group">

                        <input type="submit" value="Guardar" name="enviar" class="btn btn-success" />
                        <a href="#modal-cancelar" class="btn btn-xs btn-danger" data-toggle="modal" >Cancelar</a>

                    </div>

                </div>

            </div>
            
            
            

        </form>
    
    </div>

</div>