    <div class="col-md-10">
        <p class="msj"><?php echo $msj ?></p>
    </div>
    
    <?php if($productos != false) : ?>

    <div class="col-md-10">

        <div class="paginador-superior">
            <?php echo $paginador ?>
        </div>

        <table class="table table-hover table-striped">

            <form action="" method="post" class="form-inline" id="items">
                <input type="hidden" name="items" value="" />
                <thead>
                    <tr>
                        <th class="check">
                            
                            <input type="checkbox" id="all" />

                        </th>
                        <th class="destacar">Destacar</th>
                        <th>Imagen</th>
                        <th>Nombre</th>
                        <th>Categoria</th>
                        <th>Precio</th>
                        <th class="text-right">Acciones</th>
                    </tr>
                </thead>

                <tbody class="orden-productos">
                    <?php foreach($productos as $product) : ?>
                    <?php



                        $class = "";
                        $star_class = "glyphicon glyphicon-star-empty";

                        if($product->active == 0)
                        {
                            $class = 'danger';
                        }

                        if($product->important == 1)
                        {
                            $star_class = "glyphicon glyphicon-star";
                        }

                    
                    ?>
                    <tr class="<?php echo $class ?>">

                        <td><input type="checkbox" class="item" name="items[]" value="<?php echo $product->id ?>" /></td>
                        <td>
                            <a href="#" class="important" data-important="<?php echo $product->important ?>" data-prod="<?php echo $product->id ?>" >
                                <span class="<?php echo $star_class ?>"></span>
                            </a>
                        </td>
                        <td class="mini-thumb">   
                            <img src="<?php echo base_url() ?><?php echo $product->thumb ?>" >
                        </td>
                        <td><?php echo '<a href="../producto/'.$product->id.'/'.$product->slug.'" target="_blank">', $product->name, '</a>'; ?></td>
                        <td><?php echo $product->category_name != '' ? $product->category_name : '<i>Sin categoria</i>'; ?></td>
                        <td><?php echo $this->functions->precio( $product->cart ) ?></td>
                        <td class="text-right">

                            
                            <a class="btn btn-default btn-xs" href="<?php echo base_url('admin/productos/carrito/'.$product->id) ?>" title="Imagenes del producto">
                                <span class="glyphicon glyphicon-shopping-cart"></span> Carrito
                            </a>
                            
                            
                            <a class="btn btn-default btn-xs" href="<?php echo base_url('admin/productos/imagenes/'.$product->id) ?>" title="Imagenes del producto">
                                <span class="glyphicon glyphicon-picture"></span> Imagenes
                            </a>

                            <a class="btn btn-default btn-xs" href="<?php echo base_url().'admin/productos/editar/'.$product->id ?>" title="Editar el producto">
                                <span class="glyphicon glyphicon-edit"></span> Editar
                            </a>

                        </td>
                    </tr>
                    <?php endforeach ?>
                </tbody>
            </form>

        </table>

    </div>
    <?php echo $paginador ?>

    <?php else : ?>

        <div class="col-md-10">
            <h3>No hay <?php echo $tipo ?> para mostrar</h3>
        </div>
    <?php endif ?>

</div>