$(document).ready(function(){

    $('.orden').sortable({

        opacity: '0.5',
        update: function(){

            var tipo = $('.orden').attr('data-tipo');

            var orden = $(this).sortable("toArray");

            $.post('ajax/orden', {orden: orden, tipo: tipo}, function(data){

            });

        }

    });

    $('#requiere_armado').click(function(event){

        var check = $(this).is(':checked');

        if(check)
        {
            $('#armado').removeClass('hidden');
            $('select[name="armado"]').attr('required', 'required');
        }
        else
        {
            $('#armado').addClass('hidden');
            $('select[name="armado"]').val('0');
            $('select[name="armado"]').removeAttr('required');
        }

    })

	$('#all').click(function(event){

        var items = $('.item');

        var status = $(this).is(':checked');

        items.prop('checked', status);

        if(status)
        {
            mostrarMenu();
        }
        else
        {
            ocultarMenu();
        }

    })


	$('.item').click(function(event){

        if( $('#all').is(':checked') )
        {
            $('#all').prop('checked', false);
        }

        if( $('.item:checked').length > 0 )
        {
            mostrarMenu();
        }
        else
        {
            ocultarMenu();
        }

    })

    function mostrarMenu()
    {
        $('#seleccion').css('visibility', 'visible');
    }

    function ocultarMenu()
    {
        $('#seleccion').css('visibility', 'hidden');    
    }

    $('.masivo').click(function(event){

        event.preventDefault();

        var action  = $(this).attr('data-action');
        var tipo    = $(this).parent().attr('data-tipo');
        var extra   = $('#extra').attr('data-extra');
        var items   = $('.item:checked');

        var array = [];

        if( items.length > 0 )
        {
            for(i = 0; i < items.length; i++)
            {
                array.push(items[i].value);
            }

            $.ajax({

                url: 'ajax/masivo/' + tipo + '/' + action,
                type: 'POST',
                dataType: 'json',
                data: {items: array},
                success: function(data)
                {
                    if(data.success)
                    {
                        window.location.reload();
                    }
                },
                error: function()
                {
                    alert('Se ha producido un error.');
                }

            })  
        }
    
        
        return false;
        
    })


    $('.important').click(function(event){

            event.preventDefault();
            var id      = $(this).attr('data-prod');
            var tipo    = $(this).attr('data-important');
            var objeto  = $(this);
            var span    = objeto.children();

            tipo = tipo == 1 ? 0 : 1;

            $.ajax({

                url: '../admin/ajax/determinar_destacados/' + tipo + '/' + id,
                type: "post",
                dataType: 'json',
                success: function(data){

                    if(data.success == true)
                    {
                        if(tipo == 1)
                        {
                            span.removeClass('glyphicon glyphicon-star-empty');
                            span.addClass('glyphicon glyphicon-star');
                            objeto.attr('data-important', 1);
                        }
                        else
                        {
                            span.removeClass('glyphicon glyphicon-star');
                            span.addClass('glyphicon glyphicon-star-empty');
                            objeto.attr('data-important', 0);

                        }

                    }

                },

            })

        });

});